com.taosdata.jdbc.ws

## Class WebSocketDriver

- java.lang.Object
- - com.taosdata.jdbc.AbstractDriver
  - - com.taosdata.jdbc.ws.WebSocketDriver

All Implemented Interfaces:
  Driver

    public class WebSocketDriver
    extends AbstractDriver

### Field Summary

Fields
`static String` `URL_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`boolean` `jdbcCompliant()`

### Methods inherited from class com.taosdata.jdbc.AbstractDriver

`getPropertyInfo, getWSConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### URL_PREFIX

    public static final String URL_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### WebSocketDriver

    public WebSocketDriver()

### Method Detail

#### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

Throws:
  `SQLException`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

#### getMinorVersion

    public int getMinorVersion()

#### jdbcCompliant

    public boolean jdbcCompliant()

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Throws:
  `SQLFeatureNotSupportedException`